There is no "WidevineCdm" to update for amazon prime movies

bug
#1

Description of the issue:
Getting an error message to update “WidevineCdm” when trying to watch movies on Amazon Prime. There is no “WidevineCdm” in my “chrome://components”

Reproduces how often: Everytime

Brave Version(See the About Brave page in the main menu): Version 0.61.51 Chromium: 73.0.3683.75 (Offizieller Build) (64-Bit)

#2

@enum Are you seeing this on Linux / Ubuntu. If so, fix is not yet released and which will not be available in 0.61.51.
If you want to test on Ubuntu please download beta/dev builds, fix is already merged.

In upcoming released version fix will be available for Linux/Ubuntu also.

Thanks!

2 Likes
#3

Hey @gsarvadnya,
I use Windows 10 64 Bit version.

#4

@enum in addition, if you’re on Windows or macOS, you need to enable Widevine first. It’s disabled by default.

On DRM-required site (Amazon, spotify.com, etc), look for puzzle icon at URL bar > Install and run Widevine

1 Like
#5

Now I can see: Widevine Content Decryption Module - Version: 4.10.1196.0 at chrome://components/,
and I get again an error message: Video is not available
www.amazon.de/dv/error/7031.

#6

@enum,
I’m able to visit and view Amazon Prime content without issue. Have you tried with Shields down? They shouldn’t need to be – They’re up when testing on my Win10 machine, but I’m curious if that makes a difference.

1 Like
#7

Now it works. That’s nice, isn’t there any way to have it with shields?

edit:
It works with active Shields except Ads & Tracker, those have to be turned off.

2 Likes
#8

@enum,
Thanks for the info! I’ll add this to the list of web compatibility issues we have so users can watch this content with full protections. Thank you again for reporting!

1 Like
closed #9